/* Miam */

@import "~angular-calendar/scss/angular-calendar.scss";
@import "./miam.component.scss";
@import "./miam.animation.scss";

:root {
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Color
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-color-primary: var(--miam-color-primary, #2bb6aa);
  --m-color-primary-light: var(--miam-color-primary-light, #eafaf9);
  --m-color-primary-dark: var(--miam-color-primary-dark, #419f97);
  --m-color-primary-text: var(--miam-color-primary-text, #fff);

  --m-color-secondary: var(--miam-color-secondary, #ef760f);
  --m-color-secondary-light: var(--miam-color-secondary-light, #faebd7);
  --m-color-secondary-dark: var(--miam-color-secondary-dark, #ef7711);
  --m-color-secondary-text: var(--miam-color-secondary-text, #fff);

  --m-color-ternary: var(--miam-color-ternary, #1accf8);
  --m-color-ternary-light: var(--miam-color-ternary-light, #cef4fd);
  --m-color-ternary-dark: var(--miam-color-ternary-dark, #057894);
  --m-color-ternary-text: var(--miam-color-ternary-text, #fff);

  --m-color-success: var(--miam-color-success, #44D6B3);
  --m-color-success-text: var(--miam-color-success-text,#135344);

  --m-color-info: var(--miam-color-info,#8CD4EB);
  --m-color-info-text: var(--miam-color-info-text,#125368);

  --m-color-warning: var(--miam-color-warning,#FFDAA3);
  --m-color-warning-text: var(--miam-color-warning-text,#FF9900);

  --m-color-danger: var(--miam-color-danger,#F97D7D);
  --m-color-danger-text: var(--miam-color-danger-text,#700505);


  --m-color-grey: var(--miam-color-grey, #f5f5f5);
  --m-color-grey-text: var(--miam-color-grey-text, #acb0b9);
  --m-color-grey-text-dark: var(--miam-color-grey-text-dark, #757575);

  // Hairline/Divider and Subtitle backgrounds
  --m-color-hairlines: var(--miam-color-hairlines, #ecf1f4);

  // Use for cards shadow (darker cloud)
  --m-color-card-shadow: var(--miam-color-card-shadow, #eaf2fb);

  --m-color-white: var(--miam-color-white,#FAFCFE);

  // Use for cards background
  --m-color-unpure-white: var(--miam-color-unpure-white, #fefefe);

  // Use for text body
  --m-color-slate: var(--miam-color-slate, #4a4a68);

  // use for Helper text, input text
  --m-color-light-slate: var(--miam-color-light-slate,#8c8ca1);

  // Use for Overlays, Shadows, Headings
  --m-color-onyx: var(--miam-color-onyx, #0e0e2c);

  --m-color-black: var(--miam-color-black,#0E0E2C);

  --m-color-grey01 : var(--miam-color-grey01,#505062);
  --m-color-grey02 : var(--miam-color-grey02,#67677E);
  --m-color-grey03 : var(--miam-color-grey03,#818198);
  --m-color-grey04 : var(--miam-color-grey04,#9D9DAF);
  --m-color-grey05 : var(--miam-color-grey05,#B9B9C6);
  --m-color-grey06 : var(--miam-color-grey06,#D5D5DD);
  --m-color-grey07 : var(--miam-color-grey07,#E3E3E8);


  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Border radius
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-border-radius: var(--miam-border-radius, 8px);
  --m-border-radius-circle: 50%;
  --m-border-radius-pill: 25px;

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Elevation
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

   --m-shadow-small: var(--miam-shadow-small, 0px 3px 4px var(--m-color-card-shadow));
 

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Typography
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  // Font sizes
  --m-font-size-small: var(--miam-font-size-small, 14px);
  --m-font-size-medium: var(--miam-font-size-medium, 16px);
  --m-font-size-large: var(--miam-font-size-large, 20px);
  --m-font-size-Xlarge: var(--miam-font-size-Xlarge, 24px);

  .m-body-typo {
    font-family: Work Sans;
    font-style: normal;
    font-weight: 500;
    font-size: var(--m-font-size-medium);
    line-height: 24px;
    color: var(--m-color-slate);
  }

  .m-h1-typo {
    @extend .m-body-typo;
    font-weight: bold;
    font-size: 40px;
    line-height: 48px;
  }

  .m-button-typo {
    font-family: Work Sans;
    font-style: normal;
    font-size: var(--m-font-size-medium);
    font-weight: bold;
    font-size: 14px;
    line-height: 16px;
    letter-spacing: 0.5px;
  }
  
  .m-small-typo {
    @extend .m-body-typo;
    font-size: var(--m-font-size-small);
    line-height: 16px;
  }

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // transition
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-default-transition: var(--miam-default-transition, all 0.3s ease-in-out);

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // z-index
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-z-index-position-absolute-low: var(--miam-z-index-position-absolute-low, 0);
  --m-z-index-position-absolute-high: var(--miam-z-index-position-absolute-high, 1);
  --m-z-index-loader: var(--miam-z-index-loader, 2);
  --m-z-index-modal-overlay: var(--miam-z-index-modal-overlay, 6000);
  --m-z-index-modal: var(--miam-z-index-modal, 6001);
  --m-z-index-drawer-overlay: var(--miam-z-index-drawer-overlay, 5000001);
  --m-z-index-drawer-container: var(--miam-z-index-drawer-container, 5000002);

  @media print {
    .miam-not-printable {
      display: none;
    }

    &:last-child {
      page-break-after: auto;
    }
  }

  .miam-print-only {
    display: none;
    @media print {
      display: block;
    }
  }
}
